$(function() {

     /** 
 	 * Mobile Nav
 	 *
 	 * Toggle Side Menu - Left or Right
 	 */

	// Prepend a mobile icon to the header
	$(".custom-menu-primary").after('<a class="mobile-icon"><span></span></a>');
	 
	// Prepend a close icon to the menu
	/*$(".custom-menu-primary .hs-menu-flow-horizontal>ul").before('<a class="close-icon"><span></span></a>');*/
	 
	// Add body class on mobile icon click
	$(".mobile-icon, .close-icon").click(function(){
	    $("body").toggleClass("show-mobile-nav ");
        return false;
	});
    
	$("body").click(function(){
	    if($(this).hasClass("show-mobile-nav")){
            $(this).removeClass("show-mobile-nav")
	    }
        
	});
   
    
    
	// Set the menu height to 100% of the document
	function setMenuHeight(){
		if ( $(window).width() <= 1024) {     
	      	var height = $(document).outerHeight(true);
		   	$(".custom-menu-primary").height(height);
		}   
	}
	setMenuHeight();
	$(window).on("resize", setMenuHeight);
	
	// Wrap body contents with a div so the transforms will work
    $('body> div').find('script:not(script[type="IN/Share"])').remove().end().wrapAll('<div id="site-wrapper"></div>');
   
    
   /* $('.custom-home-slider ul.hs_cos_flex-slides.hs_cos_flex-slides-main>li> img').each(function(i, v){
        $('<div/>', { style: 'background-image: url('+this.src+')', class: 'slider-bg'}).insertAfter($(this));
    });*/
    
    $('.custom-home-slider .hs_cos_flex-slide-main img').replaceWith(function(i, v){
    	return $('<div/>', {
    	style: 'background-image: url('+this.src+')',class: 'slider-bg'
    	})
	});
    
    $('.caption').wrap('<div class="page-center"></div>');
    
    $('.poly-shape').after('<svg viewBox="0 0 100 100" version="1.1" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="none" class="triangle-left tri-push-up"><polygon points="0,0 0,100 100,50" class="fill-gray"></polygon></svg><svg viewBox="0 0 100 100" version="1.1" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="none" class="triangle-right tri-push-up"><polygon points="100,0 100,100 0,50" class="fill-gray"></polygon></svg>')
    
    $('.poly-shape2').after('<svg viewBox="0 0 100 100" version="1.1" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="none" class="triangle-left tri-push-up"><polygon points="0,0 0,50 100,50" class="fill-white"></polygon></svg><svg viewBox="0 0 100 100" version="1.1" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="none" class="triangle-right tri-push-up"><polygon points="0,50 100,0 100,50" class="fill-white"></polygon></svg>')
});

$(function() {
 $('a[href*=#]:not([href=#])').click(function() {
   if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {

     var target = $(this.hash);
     target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
     if (target.length) {
       $('html,body').animate({
         scrollTop: target.offset().top - 100
       }, 1000);
       return false;
     }
   }
 });
});